<div class="row">
  <div class="col-md-10">
    <label class="ค้นหาข้อมูล" style="margin-top: 12px">ค้นหาข้อมูล</label>
  </div>
  <div class="col-md-2" style="margin-top: 12px">
    <label class="showsearch" (click)='ShowSearch()' *ngIf="this.showsearch === true">แสดงผลน้อยลง</label>
    <label class="showsearch" (click)='ShowSearch()' *ngIf="this.showsearch !== true">แสดงผลเพิ่มเติม</label>
  </div>
  <div class="col-md-12 rectangle-line"></div>
</div>
<div *ngIf="this.showsearch === true">
  <div class="row">
    <div class="col-md-4 select">
      <div>สายงาน</div>
      <!-- <select class="browser-default custom-select" style="height: 48px;" [(ngModel)]="department"
        (ngModelChange)="filterSaechWorkgroup(department)">
        <option value="" selected disabled>กรุณาเลือกสายงาน</option> 
        <option *ngFor="let item of divisionList" value="{{item.ouName}}">{{item.ouName}}</option>
      </select> -->
      <div *ngIf="divisionList_fill !== 'nondata'">
        <select class="browser-default custom-select" style="height: 48px;"[(ngModel)]="division"
          (ngModelChange)="filterSelection('division',division)">
          <option *ngIf="division !== undefined" value="" selected disabled>กรุณาเลือกสายงาน</option>
          <option *ngIf="division === undefined" value=undefined selected disabled>กรุณาเลือกฝ่ายงาน</option>
          <option *ngIf="fillterStatus === true" value='resetFilter'>=== เลือกดูข้อมูลทั้งหมด ===</option>
          <!-- <option *ngFor="let item of divisionList_fill" [ngValue]="item">ouCode :{{item.ouCode}}; {{item.ouName}}</option> -->
          <option *ngFor="let item of divisionList_fill" [ngValue]="item">{{item.ouName}}</option>
        </select>
      </div>
      <div *ngIf="divisionList_fill === 'nondata'">
        <select class="form-control" [(ngModel)]="division"
          (ngModelChange)="filterSelection('division',department)">
          <option *ngIf="division !== undefined" value="" selected disabled> - </option>
          <option *ngIf="division === undefined" value=undefined selected disabled> - </option>
          <option *ngIf="fillterStatus === true"value='resetFilter'>=== เลือกดูข้อมูลทั้งหมด ===</option>
        </select>
      </div>
    </div>
    <div class=" col-md-4 select">
      <div>กลุ่มงาน</div>
      <!-- <select class="browser-default custom-select" style="height: 48px;" [(ngModel)]="workgroup"
        (ngModelChange)="filterSaechDepartment(workgroup)">
        <option value="" selected disabled>กรุณาเลือกกลุ่มงาน</option>
        <option *ngFor="let item of workgroupList" value="{{item.ouName}}">{{item.ouName}}</option>
      </select> -->
      <div *ngIf="workgroupList_fill !== 'nondata'">
        <select class="browser-default custom-select" style="height: 48px;" [(ngModel)]="workgroup"
          (ngModelChange)="filterSelection('workgroup',workgroup)">
          <option *ngIf="workgroup !== undefined" value="" selected disabled>กรุณาเลือกกลุ่มงาน</option>
          <option *ngIf="workgroup === undefined" value=undefined selected disabled>กรุณาเลือกฝ่ายงาน</option>
          <option *ngIf="fillterStatus === true" value='resetFilter'>=== เลือกดูข้อมูลทั้งหมด ===</option>
          <!-- <option *ngFor="let item of workgroupList_fill" [ngValue]="item">ouCode :{{item.ouCode}}; groupOuCode: {{item.groupOuCode}}; {{item.ouName}}</option> -->
          <option *ngFor="let item of workgroupList_fill" [ngValue]="item">{{item.ouName}}</option>
        </select>
      </div>
      <div *ngIf="workgroupList_fill === 'nondata'">
        <select class="form-control" [(ngModel)]="workgroup"
          (ngModelChange)="filterSelection('workgroup',workgroup)">
          <option *ngIf="workgroup !== undefined" value="" selected disabled> - </option>
          <option *ngIf="workgroup === undefined" value=undefined selected disabled> - </option>
          <option *ngIf="fillterStatus === true"value='resetFilter'>=== เลือกดูข้อมูลทั้งหมด ===</option>
        </select>
      </div>
    </div>
    <div class="col-md-4 select">
      <div>ฝ่ายงาน</div>
      <!-- <select class="browser-default custom-select" style="height: 48px;" [(ngModel)]="division">
        <option value="" selected disabled>กรุณาเลือกฝ่ายงาน</option>
        <option *ngFor="let item of departmentList" value="{{item.ouName}}">{{item.ouName}}</option>ß
      </select> -->
      <div *ngIf="departmentList_fill !== 'nondata'">
        <select class="browser-default custom-select" style="height: 48px;" [(ngModel)]="department"
          (ngModelChange)="filterSelection('department',department)">
          <option *ngIf="department !== undefined" value="" selected disabled>กรุณาเลือกฝ่ายงาน</option>
          <option *ngIf="department === undefined" value=undefined selected disabled>กรุณาเลือกฝ่ายงาน</option>
          <option *ngIf="fillterStatus === true" value='resetFilter'>=== เลือกดูข้อมูลทั้งหมด ===</option>
          <!-- <option *ngFor="let item of departmentList_fill" [ngValue]="item">ouCode :{{item.ouCode}}; sctrOuCode:{{item.sctrOuCode}}; groupOuCode: {{item.groupOuCode}};  {{item.ouName}}</option> -->
          <option *ngFor="let item of departmentList_fill" [ngValue]="item">{{item.ouName}}</option>
        </select>
      </div>
      <div *ngIf="departmentList_fill === 'nondata'">
        <select class="form-control" [(ngModel)]="department"
          (ngModelChange)="filterSelection('department',department)">
          <option *ngIf="department !== undefined" value="" selected disabled> - </option>
          <option *ngIf="department === undefined" value=undefined selected disabled> - </option>
          <option *ngIf="fillterStatus === true"value='resetFilter'>=== เลือกดูข้อมูลทั้งหมด ===</option>
        </select>
      </div>
    </div>
    <div class="col-md-4 select">
      <div>วัตถุประสงค์การนำเสนอ <a style="color: #D12828;"> *</a></div>
      <select class="browser-default custom-select" style="height: 48px;" [(ngModel)]="objectiveSelected">
        <option selected disabled value="null">กรุณาเลือกวัตถุประสงค์การนำเสนอ</option>
        <option [value]="item.value" *ngFor="let item of objective">{{
                        item.title
                      }}</option>
      </select>
    </div>
    <div class="col-md-4 select">
      <div>กลุ่มผลิตภัณฑ์ <a style="color: #D12828;"> *</a></div>
      <select class="browser-default custom-select" style="height: 48px;" [(ngModel)]="productgroupSelected">
        <option selected disabled value="null">กรุณาเลือกกลุ่มผลิตภัณฑ์</option>
        <option [value]="item.value" *ngFor="let item of productgroup">{{
                        item.title
                      }}</option>
      </select>
    </div>
    <div class="col-md-4 select">
      <div>ช่วงเวลาที่สร้างใบคำขอ</div>
      <div class="input-calendar">
        <input type="text" class="form-control" placeholder="Effective – Expire" style="height: 48px;"
          [(ngModel)]="dateRange[0].selectedDate" (focus)="openCalendar(0)">
        <img src="../../../../assets/img/calendar.svg" class="btn-date" (click)="openCalendar(0)" />
        <i class="fa fa-close btn-delete" *ngIf="dateRange[0].selectedDate" (click)="clearCalendar(0)"></i>
      </div>
      <div class="calendar-warpper-2" *ngIf="dateRange[0].calendarState">
        <div class="header-calendar"
          *ngIf="dateRange[0].modifiedStartDate && dateRange[0].modifiedEndDate;else dateDiscription">
          ตั้งแต่วันที่ {{dateRange[0].modifiedStartDate}} - {{dateRange[0].modifiedEndDate}}
        </div>
        <ng-template #dateDiscription>
          <div class="subhead-calendar">
            <div>เลือกวันเริ่มต้น</div>
            <div>เลือกวันสิ้นสุด</div>
          </div>
        </ng-template>
        <div class="body-calendar">
          <mat-calendar [selected]="dateRange[0].selectedStartDate" (selectedChange)="onSelectStart($event,0)"
            [minDate]="dateRange[0].minStartDate" [startAt]="dateRange[0].selectedStartDate"
            [maxDate]="dateRange[0].maxStartDate">
          </mat-calendar>
          <mat-calendar [selected]="dateRange[0].selectedEndDate" (selectedChange)="onSelectEnd($event,0)"
            [minDate]="dateRange[0].minEndDate" [startAt]="dateRange[0].selectedEndDate"
            [maxDate]="dateRange[0].maxEndDate">
          </mat-calendar>
        </div>
        <div class="footer-calendar">
          <button class="btn-clear" (click)="clearCalendar(0)">ล้างค่า</button>
          <button class="btn-apply" color="primary"
            [disabled]="!(dateRange[0].modifiedStartDate && dateRange[0].modifiedEndDate)" (click)="applyCalendar(0)">
            ตกลง
          </button>
          <button class="btn-close" (click)="closeCalendar(0)">ปิด</button>
        </div>
      </div>
      <div class="calendar-backdrop" *ngIf="dateRange[0].calendarState" (click)="closeCalendar(0)"></div>
      <!-- end range calendar  -->
    </div>
    <!-- </div> -->
    <div class="col-md-10"></div>
    <div class="col-md-2">
      <button type="button" class="btn rectangle-search" [disabled]="!objectiveSelected || !productgroupSelected"
        (click)="SearchChat()">
        ค้นหา
      </button>
    </div>
  </div>
</div>


<!-- ผลการค้นหา -->
<div *ngIf="this.checksearch === 'true'">
  <div class="row">
    <div style="margin-left: 30px;width: 104px;">
      <label class="searchresult" style="margin-top: 12px">ผลการค้นหา</label>
    </div>
    <div class="rectangle-line" style="margin-left: 30px;"></div>
  </div>
  <div class="row">
    <!-- <label class="text-statistics">สถิติกระบวนการทำงาน</label> -->
    <label class="text-body-header">Maximum {{this.maximum}} วัน</label>
    <label class="text-body-header">Minnimum {{this.minnimum}} วัน</label>
    <label class="text-body-header">Average {{this.average}} วัน</label>
    <select class="browser-default custom-select" style="height: 40px;width: 207px;margin-left: 285px;margin-top: 12px;"
      (change)="SearchChat($event.target.value)">
      <option [value]=5>5 ผลิตภัณฑ์</option>
      <option [value]=10>10 ผลิตภัณฑ์</option>
      <option [value]=20>20 ผลิตภัณฑ์</option>
      <option [value]=30>30 ผลิตภัณฑ์</option>
      <option [value]=null>ดูทั้งหมด</option>
      <!-- <option></option> -->
    </select>
  </div>
  <div class="row">
    <div class=" rectangle-line-search" style="margin-left: 28px;margin-top: 18px;"></div>
  </div>


  <div class="row" style="margin-top: 25px;">
    <div class="col-md-12">
      <div #charts></div>
    </div>
  </div>


  <div class="row" style="padding-top: 35px;margin-left: 6px;">
    <div class="col-md-4 ">
      <button class="bg-choice" style="background-color: #8DD2EE;border:#8DD2EE"></button>
      <label>1. PO จัดทำใบคำขอ</label>
    </div>
    <div class="col-md-4">
      <button class="bg-choice" style="background-color: #67B3D2;border:#67B3D2"></button>
      <label>2. ผู้บริหารของ PO พิจารณาใบคำขอ</label>
    </div>
    <div class="col-md-4">
      <button class="bg-choice" style="background-color: #408DAD;border:#408DAD"></button>
      <label>3. หน่วยงานที่เกี่ยวข้องให้ความเห็น</label>
    </div>
  </div>
  <div class="row" style="margin-top: 3px;margin-left: 6px;">
    <div class="col-md-4">
      <button class="bg-choice" style="background-color: #2E7A99;border:#2E7A99"></button>
      <label>4. PO ให้ความเห็นเพิ่มเติม</label>
    </div>
    <div class="col-md-4">
      <button class="bg-choice" style="background-color: #124F68;border:#124F68"></button>
      <label>5. ผู้บริหารของ PO พิจารณาใบคำขอ</label>
    </div>
    <div class="col-md-4">
      <button class="bg-choice" style="background-color: #BBBBBB;border:#BBBBBB"></button>
      <label>6. PC พิจารณาบรรจุวาระ</label>
    </div>

  </div>
  <div class="row" style="margin-top: 3px;margin-left: 6px;">
    <div class="col-md-4">
      <button class="bg-choice" style="background-color: #868686;border: #868686"></button>
      <label>7. PC บันทึกผลการอนุมัติ</label>
    </div>
    <div class="col-md-4">
      <button class="bg-choice" style="background-color: #FFCA05;border:#FFCA05"></button>
      <label>8. PO สรุปผลการอนุมัติ</label>
    </div>
    <div class="col-md-4">
      <button class="bg-choice" style="background-color: #FAB905;border:#FAB905"></button>
      <label>9. PC พิจารณาการสรุปผลการอนุมัติ</label>
    </div>

  </div>
  <div class="row" style="margin-top: 3px;margin-left: 6px;">
    <div class="col-md-4">
      <button class="bg-choice" style="background-color: #F59B01;border:#F59B01"></button>
      <label>10. PO สรุปประเด็นคงค้าง</label>
    </div>
    <div class="col-md-4">
      <button class="bg-choice" style="background-color: #F08800;border:#F08800"></button>
      <label>11. รอการประกาศใช้ผลิตภัณฑ์</label>
    </div>

  </div>
</div>